org.keycloak.connections.mongo.impl.types

## Class BasicDBListMapper

- java.lang.Object
- - org.keycloak.connections.mongo.impl.types.BasicDBListMapper

- All Implemented Interfaces:
    Mapper<com.mongodb.BasicDBList,List>

      public class BasicDBListMapper
      extends Object
      implements Mapper<com.mongodb.BasicDBList,List>

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicDBListMapper(MapperRegistry mapperRegistry)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `convertObject(MapperContext<com.mongodb.BasicDBList,List> context)` Convert object from one type to expected type
    `Class<List>` | `getExpectedReturnType()`
    `Class<? extends com.mongodb.BasicDBList>` | `getTypeOfObjectToConvert()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicDBListMapper

          public BasicDBListMapper(MapperRegistry mapperRegistry)

  - ### Method Detail

    - #### convertObject

          public List convertObject(MapperContext<com.mongodb.BasicDBList,List> context)

      Description copied from interface: `Mapper`
      Convert object from one type to expected type
      Specified by:
        `convertObject` in interface `Mapper<com.mongodb.BasicDBList,List>`
      Parameters:
        `context` - Encapsulates reference to converted object and other things, which might be helpful in conversion
      Returns:
        converted object

    - #### getTypeOfObjectToConvert

          public Class<? extends com.mongodb.BasicDBList> getTypeOfObjectToConvert()

      Specified by:
        `getTypeOfObjectToConvert` in interface `Mapper<com.mongodb.BasicDBList,List>`

    - #### getExpectedReturnType

          public Class<List> getExpectedReturnType()

      Specified by:
        `getExpectedReturnType` in interface `Mapper<com.mongodb.BasicDBList,List>`

Copyright © 2014. All Rights Reserved.